net9.0-ios17.2
namespace AutomaticAssessmentConfiguration
{
    [Protocol(Name = "AEAssessmentSessionDelegate", WrapperType = typeof(AEAssessmentSessionDelegateWrapper))]
    [ProtocolMember(IsProperty = false, IsRequired = false, IsStatic = false, Name = "DidBegin", ParameterByRef = new[] { false }, ParameterType = new[] { typeof(AEAssessmentSession) }, Selector = "assessmentSessionDidBegin:")]
    [ProtocolMember(IsProperty = false, IsRequired = false, IsStatic = false, Name = "FailedToBegin", ParameterByRef = new[] { false, false }, ParameterType = new[] { typeof(AEAssessmentSession), typeof(NSError) }, Selector = "assessmentSession:failedToBeginWithError:")]
    [ProtocolMember(IsProperty = false, IsRequired = false, IsStatic = false, Name = "WasInterrupted", ParameterByRef = new[] { false, false }, ParameterType = new[] { typeof(AEAssessmentSession), typeof(NSError) }, Selector = "assessmentSession:wasInterruptedWithError:")]
    [ProtocolMember(IsProperty = false, IsRequired = false, IsStatic = false, Name = "DidEnd", ParameterByRef = new[] { false }, ParameterType = new[] { typeof(AEAssessmentSession) }, Selector = "assessmentSessionDidEnd:")]
    [SupportedOSPlatform("ios13.4")]
    [SupportedOSPlatform("maccatalyst14.0")]
    [SupportedOSPlatform("macos")]
    public interface IAEAssessmentSessionDelegate : INativeObject, IDisposable
}
.NET 6.07.08.09.0
Information specific to net9.0
Platforms This API is only available when you target a specific platform:
iOS 10.010.110.210.311.011.111.211.311.412.012.112.212.312.413.013.113.213.313.413.513.614.014.114.214.314.414.515.015.215.416.016.116.216.417.017.2
Mac Catalyst 13.113.213.313.413.514.214.314.414.515.015.215.416.116.216.417.017.2
macOS 10.1410.1510.1611.011.111.211.312.012.112.313.013.113.314.014.2
Information specific to net9.0-ios17.2
Assembly

Microsoft.iOS , Version=17.2.0.0, PublicKeyToken=84e04ff9cfb79065

Referencing

The API is automatically referenced.

Platform Restrictions

This API is only supported on the following platforms:

  • iOS >= 13.4
  • Mac Catalyst >= 13.4
  • macOS
  • Built-in API
  • Package-provided API

05/24/2024
An error has occurred. This application may no longer respond until reloaded. Reload 🗙